<input *ngIf="showDatepicker"
       [formControl]="formControl" type="text" #focus
       [id]="id"
       [required]="required"
       [placeholder]="placeholder"
       [tabindex]="tabIndex"
       [autocomplete]="autocomplete"
       [mask]="isRange ? selectedDateFormatObject.rangeMask : selectedDateFormatObject.mask"
       [showMaskTyped]="true"
       [dropSpecialCharacters]="false"
       [leadZeroDateTime]="true"
       [validation]="true"
       [attr.aria-invalid]="ngControl?.invalid"
       [attr.aria-describedby]="describedBy ? describedBy : id + '-hint'"
       (blur)="clearIfNotMatch()">
<span class="calendar">
   <div class="portal-container" id="portal-{{id}}"></div>
   <button cui-icon-button mode="ghost"
           type="button"
           [disabled]="isDisabled || disabled"
           class="clear-button"
           *ngIf="value?.length"
           (click)="clearValue()"
           [attr.aria-label]="_clearButtonLabel"
           [icon]="'clear'"></button>
   <button cui-icon-button mode="ghost"
          type="button"
          [disabled]="isDisabled || disabled"
          [cui-menu-trigger]="menu"
          [attr.aria-label]="_calendarButtonLabel"
          [icon]="'event-app'"></button>
    <cui-menu placement="bottom-end" #menu="menu">
       <cui-input-datepicker-inline [isRange]="isRange" [dateFormat]="dateFormat" [(ngModel)]="value" [locale]="locale"
                                    (dateChanged)="onDateChanged()"></cui-input-datepicker-inline>
    </cui-menu>
</span>
